/***************************************************************************
                          viewpropertydialog.cpp  -  description
                             -------------------
    begin                : Thu Jan 10 2002
    copyright            : (C) 2002 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "viewpropertydialog.h"

ViewPropertyDialog::ViewPropertyDialog(QWidget *parent, const char *name ) : ViewPropertyDialogTemplate(parent,name,true)
{
	 AmbientalStrengthInput->setRange(0.0,1.0,0.1,true);
	 DiffuseStrengthInput->setRange(0.0,1.0,0.1,true);
	 SpecularStrengthInput->setRange(0.0,1.0,0.1,true);
	 FocalLengthInput->setRange(1e-2,100.0,1e-2,true);
	 MinimalDensityInput->setRange(0,255,1,true);
	 MaxDensityInput->setRange(0,255,1,true);
	 LightXPosEntry->setRange(-1.0,1.0,0.1,true);
	 LightYPosEntry->setRange(-1.0,1.0,0.1,true);
}

ViewPropertyDialog::~ViewPropertyDialog(){
}

/** No descriptions */
void ViewPropertyDialog::slotCheckDensities()
{
	if(MinimalDensityInput->value() >  MaxDensityInput->value())   MinimalDensityInput->setValue(MaxDensityInput->value());
	if(MaxDensityInput->value() <  MinimalDensityInput->value())   MaxDensityInput->setValue(MinimalDensityInput->value());
}
