#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ViewPropertiesDialog.ui'
**
** Created: Thu Jan 24 23:35:04 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "ViewPropertiesDialog.h"

#include <kcolorbutton.h>
#include <knuminput.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a ViewPropertyDialogTemplate which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ViewPropertyDialogTemplate::ViewPropertyDialogTemplate( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ViewPropertyDialogTemplate" );
    resize( 364, 512 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, sizePolicy().hasHeightForWidth() ) );
    setCaption( i18n( "KplgViewer View Properties" ) );
    ViewPropertyDialogTemplateLayout = new QVBoxLayout( this ); 
    ViewPropertyDialogTemplateLayout->setSpacing( 6 );
    ViewPropertyDialogTemplateLayout->setMargin( 11 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setTitle( i18n( "screen settings" ) );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 0 );
    ButtonGroup1->layout()->setMargin( 0 );
    ButtonGroup1Layout = new QHBoxLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );
    ButtonGroup1Layout->setSpacing( 6 );
    ButtonGroup1Layout->setMargin( 11 );

    Layout14 = new QGridLayout; 
    Layout14->setSpacing( 6 );
    Layout14->setMargin( 0 );

    Layout3 = new QHBoxLayout; 
    Layout3->setSpacing( 6 );
    Layout3->setMargin( 0 );

    TextLabel1 = new QLabel( ButtonGroup1, "TextLabel1" );
    TextLabel1->setText( i18n( "Size of rendered image:" ) );
    Layout3->addWidget( TextLabel1 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout3->addItem( spacer );

    Layout14->addLayout( Layout3, 0, 0 );

    Layout29 = new QHBoxLayout; 
    Layout29->setSpacing( 6 );
    Layout29->setMargin( 0 );

    BackgroundColorSelector = new KColorButton( ButtonGroup1, "BackgroundColorSelector" );
    BackgroundColorSelector->setText( QString::null );
    Layout29->addWidget( BackgroundColorSelector );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout29->addItem( spacer_2 );

    Layout14->addLayout( Layout29, 1, 1 );

    Layout20 = new QHBoxLayout; 
    Layout20->setSpacing( 6 );
    Layout20->setMargin( 0 );

    TextLabel4 = new QLabel( ButtonGroup1, "TextLabel4" );
    TextLabel4->setText( i18n( "Background color:" ) );
    Layout20->addWidget( TextLabel4 );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout20->addItem( spacer_3 );

    Layout14->addLayout( Layout20, 1, 0 );

    Layout16 = new QHBoxLayout; 
    Layout16->setSpacing( 6 );
    Layout16->setMargin( 0 );

    renderSizeWidthSpin = new QSpinBox( ButtonGroup1, "renderSizeWidthSpin" );
    renderSizeWidthSpin->setMinimumSize( QSize( 60, 24 ) );
    renderSizeWidthSpin->setMaxValue( 2400 );
    renderSizeWidthSpin->setMinValue( 10 );
    renderSizeWidthSpin->setValue( 320 );
    QToolTip::add(  renderSizeWidthSpin, i18n( "image width" ) );
    Layout16->addWidget( renderSizeWidthSpin );

    TextLabel3 = new QLabel( ButtonGroup1, "TextLabel3" );
    TextLabel3->setMinimumSize( QSize( 10, 24 ) );
    TextLabel3->setText( i18n( "x" ) );
    TextLabel3->setAlignment( int( QLabel::AlignTop | QLabel::AlignLeft ) );
    Layout16->addWidget( TextLabel3 );

    renderSizeHeightSpin = new QSpinBox( ButtonGroup1, "renderSizeHeightSpin" );
    renderSizeHeightSpin->setMinimumSize( QSize( 60, 24 ) );
    renderSizeHeightSpin->setMaxValue( 2400 );
    renderSizeHeightSpin->setMinValue( 10 );
    renderSizeHeightSpin->setValue( 200 );
    QToolTip::add(  renderSizeHeightSpin, i18n( "image height" ) );
    Layout16->addWidget( renderSizeHeightSpin );

    Layout14->addLayout( Layout16, 0, 1 );

    Layout23 = new QHBoxLayout; 
    Layout23->setSpacing( 6 );
    Layout23->setMargin( 0 );

    FocalLengthInput = new KDoubleNumInput( ButtonGroup1, "FocalLengthInput" );
    FocalLengthInput->setMinimumSize( QSize( 60, 25 ) );
    QToolTip::add(  FocalLengthInput, i18n( "focal length for persp. projection" ) );
    Layout23->addWidget( FocalLengthInput );
    QSpacerItem* spacer_4 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout23->addItem( spacer_4 );

    Layout14->addLayout( Layout23, 2, 1 );

    Layout24 = new QHBoxLayout; 
    Layout24->setSpacing( 6 );
    Layout24->setMargin( 0 );

    TextLabel1_3 = new QLabel( ButtonGroup1, "TextLabel1_3" );
    TextLabel1_3->setText( i18n( "Focal length:" ) );
    Layout24->addWidget( TextLabel1_3 );
    QSpacerItem* spacer_5 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout24->addItem( spacer_5 );

    Layout14->addLayout( Layout24, 2, 0 );
    ButtonGroup1Layout->addLayout( Layout14 );
    QSpacerItem* spacer_6 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup1Layout->addItem( spacer_6 );
    ViewPropertyDialogTemplateLayout->addWidget( ButtonGroup1 );

    ButtonGroup2 = new QButtonGroup( this, "ButtonGroup2" );
    ButtonGroup2->setTitle( i18n( "vivable voxels" ) );
    ButtonGroup2->setColumnLayout(0, Qt::Vertical );
    ButtonGroup2->layout()->setSpacing( 0 );
    ButtonGroup2->layout()->setMargin( 0 );
    ButtonGroup2Layout = new QHBoxLayout( ButtonGroup2->layout() );
    ButtonGroup2Layout->setAlignment( Qt::AlignTop );
    ButtonGroup2Layout->setSpacing( 6 );
    ButtonGroup2Layout->setMargin( 11 );

    Layout17 = new QGridLayout; 
    Layout17->setSpacing( 6 );
    Layout17->setMargin( 0 );

    TextLabel2 = new QLabel( ButtonGroup2, "TextLabel2" );
    TextLabel2->setText( i18n( "max. density" ) );

    Layout17->addWidget( TextLabel2, 1, 0 );

    MinimalDensityInput = new KIntNumInput( ButtonGroup2, "MinimalDensityInput" );

    Layout17->addWidget( MinimalDensityInput, 0, 1 );

    TextLabel1_2 = new QLabel( ButtonGroup2, "TextLabel1_2" );
    TextLabel1_2->setText( i18n( "min. density" ) );

    Layout17->addWidget( TextLabel1_2, 0, 0 );

    MaxDensityInput = new KIntNumInput( ButtonGroup2, "MaxDensityInput" );

    Layout17->addWidget( MaxDensityInput, 1, 1 );
    ButtonGroup2Layout->addLayout( Layout17 );
    QSpacerItem* spacer_7 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup2Layout->addItem( spacer_7 );
    ViewPropertyDialogTemplateLayout->addWidget( ButtonGroup2 );

    ButtonGroup11 = new QButtonGroup( this, "ButtonGroup11" );
    ButtonGroup11->setTitle( i18n( "ButtonGroup11" ) );
    ButtonGroup11->setColumnLayout(0, Qt::Vertical );
    ButtonGroup11->layout()->setSpacing( 0 );
    ButtonGroup11->layout()->setMargin( 0 );
    ButtonGroup11Layout = new QHBoxLayout( ButtonGroup11->layout() );
    ButtonGroup11Layout->setAlignment( Qt::AlignTop );
    ButtonGroup11Layout->setSpacing( 6 );
    ButtonGroup11Layout->setMargin( 11 );

    Layout35 = new QGridLayout; 
    Layout35->setSpacing( 6 );
    Layout35->setMargin( 0 );

    LightYPosEntry = new KDoubleNumInput( ButtonGroup11, "LightYPosEntry" );
    QToolTip::add(  LightYPosEntry, i18n( "y pos relative to the picture center" ) );

    Layout35->addMultiCellWidget( LightYPosEntry, 5, 5, 1, 2 );

    TextLabel1_4 = new QLabel( ButtonGroup11, "TextLabel1_4" );
    TextLabel1_4->setText( i18n( "Diffuse Reflection:" ) );

    Layout35->addMultiCellWidget( TextLabel1_4, 1, 1, 0, 1 );

    TextLabel5_2_2 = new QLabel( ButtonGroup11, "TextLabel5_2_2" );
    TextLabel5_2_2->setText( i18n( "Light Y-Pos." ) );
    TextLabel5_2_2->setAlignment( int( QLabel::AlignCenter ) );

    Layout35->addWidget( TextLabel5_2_2, 5, 0 );

    SpecularStrengthInput = new KDoubleNumInput( ButtonGroup11, "SpecularStrengthInput" );

    Layout35->addWidget( SpecularStrengthInput, 2, 2 );

    TextLabel4_2 = new QLabel( ButtonGroup11, "TextLabel4_2" );
    TextLabel4_2->setText( i18n( "Highlight Sharpness;" ) );

    Layout35->addMultiCellWidget( TextLabel4_2, 3, 3, 0, 1 );

    HighlightExponentSpin = new QSpinBox( ButtonGroup11, "HighlightExponentSpin" );
    HighlightExponentSpin->setMinValue( 1 );
    QToolTip::add(  HighlightExponentSpin, i18n( "sharpness of the specular highlights" ) );

    Layout35->addWidget( HighlightExponentSpin, 3, 2 );

    TextLabel1_4_3 = new QLabel( ButtonGroup11, "TextLabel1_4_3" );
    TextLabel1_4_3->setText( i18n( "Ambiental Light:" ) );

    Layout35->addMultiCellWidget( TextLabel1_4_3, 0, 0, 0, 1 );

    AmbientalStrengthInput = new KDoubleNumInput( ButtonGroup11, "AmbientalStrengthInput" );

    Layout35->addWidget( AmbientalStrengthInput, 0, 2 );

    TextLabel1_4_2 = new QLabel( ButtonGroup11, "TextLabel1_4_2" );
    TextLabel1_4_2->setText( i18n( "Specular Reflection:" ) );

    Layout35->addMultiCellWidget( TextLabel1_4_2, 2, 2, 0, 1 );

    LightXPosEntry = new KDoubleNumInput( ButtonGroup11, "LightXPosEntry" );
    QToolTip::add(  LightXPosEntry, i18n( "x pos relative to the picture center" ) );

    Layout35->addMultiCellWidget( LightXPosEntry, 4, 4, 1, 2 );

    DiffuseStrengthInput = new KDoubleNumInput( ButtonGroup11, "DiffuseStrengthInput" );

    Layout35->addWidget( DiffuseStrengthInput, 1, 2 );

    TextLabel5_2 = new QLabel( ButtonGroup11, "TextLabel5_2" );
    TextLabel5_2->setText( i18n( "Light X-Pos." ) );
    TextLabel5_2->setAlignment( int( QLabel::AlignCenter ) );

    Layout35->addWidget( TextLabel5_2, 4, 0 );
    ButtonGroup11Layout->addLayout( Layout35 );
    QSpacerItem* spacer_8 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup11Layout->addItem( spacer_8 );
    ViewPropertyDialogTemplateLayout->addWidget( ButtonGroup11 );
    QSpacerItem* spacer_9 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ViewPropertyDialogTemplateLayout->addItem( spacer_9 );

    Layout9 = new QHBoxLayout; 
    Layout9->setSpacing( 6 );
    Layout9->setMargin( 0 );

    PushButton1 = new QPushButton( this, "PushButton1" );
    PushButton1->setText( i18n( "Accept" ) );
    Layout9->addWidget( PushButton1 );
    QSpacerItem* spacer_10 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout9->addItem( spacer_10 );

    PushButton2 = new QPushButton( this, "PushButton2" );
    PushButton2->setText( i18n( "Reject" ) );
    Layout9->addWidget( PushButton2 );
    ViewPropertyDialogTemplateLayout->addLayout( Layout9 );

    // signals and slots connections
    connect( PushButton2, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( PushButton1, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( MinimalDensityInput, SIGNAL( valueChanged(int) ), this, SLOT( slotCheckDensities() ) );
    connect( MaxDensityInput, SIGNAL( valueChanged(int) ), this, SLOT( slotCheckDensities() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ViewPropertyDialogTemplate::~ViewPropertyDialogTemplate()
{
    // no need to delete child widgets, Qt does it all for us
}

void ViewPropertyDialogTemplate::slotCheckDensities()
{
    qWarning( "ViewPropertyDialogTemplate::slotCheckDensities(): Not implemented yet!" );
}

#include "ViewPropertiesDialog.moc"
